Closed Bug 447699 Opened 12 years ago Closed 11 years ago

InstallTrigger() fires on "Download Now" button for incompatible extensions

Categories

(addons.mozilla.org Graveyard :: Public Pages, defect)

defect
Not set

Tracking

(Not tracked)

VERIFIED DUPLICATE of bug 498714

People

(Reporter: stephend, Unassigned)

References

()

Details

User agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9.1a1) Gecko/2008072306 Shiretoko/3.1a1

This is probably a unique situation, but bear with me...

Steps to Reproduce:

1. Download/install a Shiretoko alpha 1 candidate from ftp://ftp.mozilla.org/pub/firefox/nightly/3.1a1-candidates/build1/
2. Load https://addons.mozilla.org/en-US/firefox/addon/398
3. Notice the buttons read "Download Now", which means that until bug 439201 gets pushed, "Shiretoko" isn't a recognized user agent.
4. Click on "Download Now", and you'll see the "Incompatible Extension: Forecastfox 0.9.7.7 could not be installed because it is not compatible with Shiretoko 3.1a1." message

Although the message itself _is_ expected (2.0 - 3.0*), I don't think we should even try the installTrigger() call in this case.

Thoughts?
I agree. The bug is valid. And in spite of your unique situation, this is even more relevant when watching the SeaMonkey page with Firefox, so I am duping this.
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 498714
mkay.
Status: RESOLVED → VERIFIED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.